Skip to content

CredRep⁠

Perform various operations on credit report records.

Operations⁠

searchCredRepItemPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchCredRepItemPagedSelectFields
POST /nexum/627/2022.01/account/searchCredRepItemPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCredRepItemFields": true,
    "CredRepItemFields": {
      "Amount": [
        0
      ],
      "Ch1": [
        0
      ],
      "Ch10": [
        0
      ],
      "Ch15": [
        0
      ],
      "Ch2": [
        0
      ],
      "Ch26": [
        0
      ],
      "Ch4": [
        0
      ],
      "ChLong": [
        0
      ],
      "Code": [
        0
      ],
      "Date": [
        0
      ],
      "SegExtended": true,
      "SegmentType": true,
      "SubsegmentType": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}